## debruijn 1.5

=== Makefile ===
#
#     ``THIS SOURCE CODE IS SUPPLIED  ``AS IS'' WITHOUT WARRANTY OF ANY KIND,
#     AND ITS AUTHOR AND THE JOURNAL OF ARTIFICIAL INTELLIGENCE RESEARCH
#     (JAIR) AND JAIR'S PUBLISHERS AND DISTRIBUTORS, DISCLAIM ANY AND ALL
#     WARRANTIES, INCLUDING BUT NOT LIMITED TO ANY IMPLIED
#     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, AND
#     ANY WARRANTIES OR NON INFRINGEMENT.  THE USER ASSUMES ALL LIABILITY AND
#     RESPONSIBILITY FOR USE OF THIS SOURCE CODE, AND NEITHER THE AUTHOR NOR
#     JAIR, NOR JAIR'S PUBLISHERS AND DISTRIBUTORS, WILL BE LIABLE FOR
#     DAMAGES OF ANY KIND RESULTING FROM ITS USE.  Without limiting the
#     generality of the foregoing, neither the author, nor JAIR, nor JAIR's
#     publishers and distributors, warrant that the Source Code will be
#     error-free, will operate without interruption, or will meet the needs
#     of the user.''
#

# dhu mod: use to be CC = gcc
CC = g++

#CFLAGS	=	-g -Wall 
CFLAGS	=	-O3 -Wall

LIBFLAGS = 	-lm -lfftw3

all: debruijn

OBJS = debruijn.o
INCFILES = debruijn.h

ALLOBJS = $(OBJS)

$(ALLOBJS): $(INCFILES)

debruijn:  $(ALLOBJS)
	$(CC) $(CFLAGS) $(ALLOBJS) -o debruijn $(LIBFLAGS)

clean:;	rm -f *.o debruijn

backup:; cp *.[ch] Makefile *.txt bak

tarfile:; tar -cvf prog.tar *.[ch] Makefile *.txt *.opt *.test
	gzip prog.tar

=== debian/changelog ===
debruijn (1.5-1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 07 Jul 2011 17:33:34 -0400

debruijn (1.5-1) UNRELEASED; urgency=low

  * New upstream release.
  * Add build-dependency on libfftw3-dev.

 -- Michael Hanke <mih@debian.org>  Thu, 07 Jul 2011 17:02:08 -0400

debruijn (1.3-1) UNRELEASED; urgency=low

  * Initial Debian packaging.

 -- Michael Hanke <mih@debian.org>  Fri, 27 May 2011 17:22:07 -0400

=== debian/control ===
Source: debruijn
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), libfftw3-dev
Standards-Version: 3.9.2
Section: science
Homepage: http://www.cfn.upenn.edu/aguirre/wiki/public:de_bruijn_software
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/debruijn.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/debruijn.git

Package: debruijn
Section: science
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: De Bruijn cycle generator
 Stimulus counter-balance is important for many experimental designs. This
 command-line software creates De Bruijn cycles, which are pseudo-random
 sequences with arbitrary levels of counterbalance. "Path-guided" de Bruijn
 cycles may also be created. These sequences encode a hypothesized neural
 modulation at specified temporal frequencies, and have enhanced detection
 power for BOLD fMRI experiments.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

revision_url = http://www.cfn.upenn.edu/aguirre/wiki/public:de_bruijn_software
zip_url = http://cfn.upenn.edu/aguirre/public/debruijn/deBruijn_MacOSX.zip

# one ring to rule them all ...
%:
	dh $@

override_dh_auto_clean:
	-rm debruijn debruijn.o

get-orig-source:
	wget -O upstream.zip "${zip_url}"
	unzip upstream.zip
	rm -rf __MACOSX deBruijn/__MACOSX deBruijn_MacOSX/debruijn/.DS_Store \
	   deBruijn_MacOSX/get_it \
	   deBruijn_MacOSX/debruijn.o \
	   deBruijn_MacOSX/debruijn
	wget -q -O version.html "${revision_url}"
	export uver=$$(grep -A 3 Release version.html | tail -1 | sed -e 's/.*col0">//' -e 's/<.*$$//') && \
		 mv deBruijn_MacOSX "debruijn-$${uver}" && \
		 tar cvzf debruijn_$${uver}.orig.tar.gz "debruijn-$${uver}"
	rm -rf debruijn-* version.html

## debruijn 1.6

=== debian/changelog ===
debruijn (1.6-1~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 13 Aug 2012 13:44:52 -0400

debruijn (1.6-1) UNRELEASED; urgency=low

  * New upstream release.
  * debian/copyright: DEP5 v1.0 compliancy changes
  * debian/control: boost to 3.9.3 policy

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 13 Aug 2012 13:05:02 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), libfftw3-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: science
 Homepage: http://www.cfn.upenn.edu/aguirre/wiki/public:de_bruijn_software
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/debruijn.git
